Upstream information

CVE-2014-9680 at MITRE

Description

sudo before 1.8.12 does not ensure that the TZ environment variable is associated with a zoneinfo file, which allows local users to open arbitrary files for read access (but not view file contents) by running a program within an sudo session, as demonstrated by interfering with terminal output, discarding kernel-log messages, or repositioning tape drives.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 2.1 6.2
Vector AV:L/AC:L/Au:N/C:P/I:N/A:N AV:L/AC:M/Au:S/C:C/I:C/A:P
Access Vector Local Local
Access Complexity Low Medium
Authentication None Single
Confidentiality Impact Partial Complete
Integrity Impact None Complete
Availability Impact None Partial
SUSE Bugzilla entries: 917806 [RESOLVED / FIXED], 919737 [RESOLVED / INVALID], 921999 [RESOLVED / FIXED], 953359 [RESOLVED / WONTFIX]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • sudo >= 1.7.6p2-0.23.1
Patchnames:
sledsp3-sudo
SUSE Linux Enterprise Desktop 12 SP1
  • sudo >= 1.8.10p3-2.6.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1692
SUSE Linux Enterprise Desktop 12 SP2
  • sudo >= 1.8.10p3-6.16
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA sudo
SUSE Linux Enterprise Desktop 12 SP3
  • sudo >= 1.8.20p2-1.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA sudo
SUSE Linux Enterprise Module for Basesystem 15
  • sudo >= 1.8.22-2.11
  • sudo-devel >= 1.8.22-2.11
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA sudo
SUSE Linux Enterprise Server 11 SP3
  • sudo >= 1.7.6p2-0.23.1
Patchnames:
slessp3-sudo
SUSE Linux Enterprise Server 11 SP4
  • sudo >= 1.7.6p2-0.23.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA sudo
SUSE Linux Enterprise Server 12 SP1
  • sudo >= 1.8.10p3-2.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1692
SUSE Linux Enterprise Server 12 SP2
  • sudo >= 1.8.10p3-6.16
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA sudo
SUSE Linux Enterprise Server 12 SP3
  • sudo >= 1.8.20p2-1.3
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA sudo
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • sudo >= 1.8.10p3-6.16
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA sudo
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • sudo >= 1.7.6p2-0.23.1
Patchnames:
slessp3-sudo
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • sudo >= 1.8.10p3-2.6.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1692
SUSE Linux Enterprise Server for VMWare 11 SP3
  • sudo >= 1.7.6p2-0.23.1
Patchnames:
slessp3-sudo
SUSE Linux Enterprise Software Development Kit 12 SP1
  • sudo >= 1.8.10p3-2.6.1
  • sudo-devel >= 1.8.10p3-2.6.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1692
SUSE Linux Enterprise Software Development Kit 12 SP2
  • sudo-devel >= 1.8.10p3-6.16
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA sudo-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • sudo-devel >= 1.8.20p2-1.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA sudo-devel
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • sudo >= 1.7.6p2-0.23.1
Builds
SAT Patch Nr: 10686
openSUSE 13.1
  • sudo >= 1.8.10p3-5.16.1
  • sudo-debuginfo >= 1.8.10p3-5.16.1
  • sudo-debugsource >= 1.8.10p3-5.16.1
  • sudo-devel >= 1.8.10p3-5.16.1
Patchnames:
openSUSE-2015-703
openSUSE Leap 15.0
  • sudo >= 1.8.22-lp150.2.6
Patchnames:
openSUSE Leap 15.0 GA sudo
openSUSE Leap 42.1
  • sudo >= 1.8.10p3-8.1
  • sudo-debuginfo >= 1.8.10p3-8.1
  • sudo-debugsource >= 1.8.10p3-8.1
  • sudo-devel >= 1.8.10p3-8.1
  • sudo-test >= 1.8.10p3-8.1
Patchnames:
openSUSE-2015-687
openSUSE-2016-1402
openSUSE Leap 42.2
  • sudo >= 1.8.10p3-5.22
  • sudo-debuginfo >= 1.8.10p3-7.1
  • sudo-debugsource >= 1.8.10p3-7.1
  • sudo-devel >= 1.8.10p3-7.1
  • sudo-test >= 1.8.10p3-7.1
Patchnames:
openSUSE Leap 42.2 GA sudo
openSUSE-2016-1381
openSUSE Leap 42.3
  • sudo >= 1.8.20p2-1.3
Patchnames:
openSUSE Leap 42.3 GA sudo


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 sudo In progress
SUSE Linux Enterprise Desktop 11 SP2 sudo Released
SUSE Linux Enterprise Desktop 11 SP3 sudo Released
SUSE Linux Enterprise Desktop 11 SP4 sudo Released
SUSE Linux Enterprise Desktop 12 GA sudo Released
SUSE Linux Enterprise Desktop 12 SP1 sudo Released
SUSE Linux Enterprise SDK 12 GA sudo Released
SUSE Linux Enterprise SDK 12 SP1 sudo Released
SUSE Linux Enterprise Server 11 SP1 LTSS sudo Released
SUSE Linux Enterprise Server 11 SP2 sudo Released
SUSE Linux Enterprise Server 11 SP2 LTSS sudo Released
SUSE Linux Enterprise Server 11 SP3 sudo Released
SUSE Linux Enterprise Server 11 SP3 LTSS sudo Released
SUSE Linux Enterprise Server 11 SP4 sudo Released
SUSE Linux Enterprise Server 12 GA sudo Released
SUSE Linux Enterprise Server 12 SP1 sudo Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 sudo Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 sudo Released
SUSE Linux Enterprise Server for VMWare 11 SP2 sudo Released
SUSE Linux Enterprise Server for VMWare 11 SP3 sudo Released